%global gname haclient
%global uname hacluster
%define debug_package %{nil}

%define	checkout	6cf4ba4f2568
Name:		crmsh
Summary:	Pacemaker command line interface
Version:	3.0.0
Release:	%mkrel 1
License:	GPLv2
Url:		http://savannah.nongnu.org/projects/crmsh
Group:		System/Base
Source0:	%{version}.tar.gz
AutoReqProv:	on
Requires(pre):	pacemaker
Requires:	python >= 2.4
Requires:	python-dateutil python-lxml python-yaml
Requires:       pssh
Requires:       pacemaker
Requires:	corosync

BuildRequires:	python-lxml 
BuildRequires:	python-yaml
BuildRequires:	python-setuptools
BuildRequires:	pacemaker-devel 
BuildRequires:	cluster-glue-devel
BuildRequires:  automake 
BuildRequires:	autoconf 
BuildRequires:	pkgconfig 
BuildRequires:	python
BuildRequires:	asciidoc
BuildRequires:	libtool
BuildRequires:  corosync 
BuildRequires:	procps 
BuildRequires:	vim-minimal 
BuildRequires:	python-dateutil
BuildRequires:	xsltproc
BuildRequires:	dblatex
BuildRequires:	fop
BuildRequires:	w3m
BuildArch:      noarch

%description
crm shell, a Pacemaker command line interface.

Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Heartbeat and/or Corosync.

Authors: Dejan Muhamedagic <dejan@suse.de> and many others

%package test
Summary:        Test package for crmsh
Group:          System/Base
Requires:       crmsh
%if 0%{?with_regression_tests}
BuildRequires:  corosync
BuildRequires:  procps
BuildRequires:  python-dateutil
BuildRequires:  python-nose
BuildRequires:  vim
Requires:       pacemaker
Requires:       pssh
%endif

%description test
The crm shell is a command-line interface for High-Availability
cluster management on GNU/Linux systems. It simplifies the
configuration, management and troubleshooting of Pacemaker-based
clusters, by providing a powerful and intuitive set of features.

Authors: Dejan Muhamedagic <dejan@suse.de> and many others

%package scripts
Summary:        Crm Shell Cluster Scripts
Group:          System/Base

%description scripts
Cluster scripts for crmsh. The cluster scripts can be run
directly from the crm command line, or used by user interfaces
like hawk to implement configuration wizards.

%prep
%setup -q -n %{name}-%{version}

# Force the local time
#
# 'hg archive' sets the file date to the date of the last commit.
# This can result in files having been created in the future
# when building on machines in timezones 'behind' the one the 
# commit occurred in - which seriously confuses 'make'
find . -exec touch \{\} \;

%build
./autogen.sh

%configure2_5x		\
	--localstatedir=%{_var}	\
	--with-package-name=%{name} \
	--with-version=%{version}-%{release} \
	--docdir=%{_defaultdocdir}/%{name} \
	--libdir=%{py_platsitedir}/%{name}

%make_build  docdir=%{_defaultdocdir}/%{name}

%if 0%{?with_regression_tests}
        ./test/unit-tests.sh --quiet
    if [ ! $? ]; then
        echo "Unit tests failed."
        exit 1
    fi
%endif


%install
make DESTDIR=%{buildroot} docdir=%{_defaultdocdir}/%{name} install

%if 0%{?with_regression_tests}
%post test
if [ ! -e /tmp/.crmsh_regression_tests_ran ]; then
    touch /tmp/.crmsh_regression_tests_ran
    if ! %{_datadir}/%{name}/tests/regression.sh ; then
        echo "Regression tests failed."
        cat crmtestout/regression.out
        exit 1
    fi
        cd %{_datadir}/%{name}/tests
        if ! ./cib-tests.sh ; then
                echo "CIB tests failed."
                exit 1
        fi
fi
%endif


%files
%{_datadir}/%{name}
%{_bindir}/crm
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py2.7.egg-info
%doc %{_mandir}/man8/crm*
%exclude %{_datadir}/%{name}/tests
%exclude %{_datadir}/%{name}/scripts

%{_defaultdocdir}/%{name}/COPYING
%{_defaultdocdir}/%{name}/AUTHORS
%{_defaultdocdir}/%{name}/ChangeLog
%{_defaultdocdir}/%{name}/README.md
%{_defaultdocdir}/%{name}/contrib/*
%{_defaultdocdir}/%{name}/crm.8.html
%{_defaultdocdir}/%{name}/crmsh_hb_report.8.html
%config %{_sysconfdir}/crm

%dir %{_defaultdocdir}/%{name}
%dir %{_defaultdocdir}/%{name}/contrib
%dir %attr (770, %{uname}, %{gname}) %{_var}/cache/crm

%files test
%{_datadir}/%{name}/tests

%files scripts
%defattr(-,root,root)
%{_datadir}/%{name}/scripts


%changelog
* Wed Mar 08 2017 ennael <ennael> 3.0.0-1.mga6
+ Revision: 1089890
- new version 3.0.0

* Fri Feb 19 2016 umeabot <umeabot> 2.1.4-3.mga6
+ Revision: 969769
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 2.1.4-2.mga6
+ Revision: 875071
- Fix build with new rpm ( empty debuginfo)

* Mon Jun 01 2015 ennael <ennael> 2.1.4-1.mga5
+ Revision: 822851
- new version
  fix tests in installation

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-7.mga5
+ Revision: 743473
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.2.5-6.mga5
+ Revision: 725013
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-5.mga5
+ Revision: 678588
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 1.2.5-3.mga4
+ Revision: 522504
- Mageia 4 Mass Rebuild

* Thu Mar 14 2013 dlucio <dlucio> 1.2.5-2.mga3
+ Revision: 402973
- Needs corosync to run

* Thu Mar 14 2013 dlucio <dlucio> 1.2.5-1.mga3
+ Revision: 402964
- more BR
- xsltproc as BR
- Cleanups
- imported package crmsh

